/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package mstrauch.test.aop;

import org.apache.log4j.Logger;
import org.jboss.aop.joinpoint.MethodInvocation;

/**
 * <b>MyAnnoatedAspect</b><br /><br />
 *
 *
 *
 * <p><i>Copyright (c) Marabu EDV GmbH</i></p>
 *
 * @author      Marco Strauch (mst)
 * @created     01.11.2010
 * @version     6.0.0
 * @since       6.0.0
 */
public class MyAspect {

    private static final Logger logger = Logger.getLogger( MyAspect.class );

    public MyAspect() {
        logger.info( "<init>" );
    }

    public Object injectTestAnnot01( MethodInvocation invocation ) throws Throwable {
        logger.info( "[injectTestAnnot01 --> " + invocation.getMethod().getName() + "]" );
        return invocation.invokeNext();

    }

    public Object injectTestAnnot02( MethodInvocation invocation ) throws Throwable {
        logger.info( "[injectTestAnnot02 --> " + invocation.getMethod().getName() + "]" );
        return invocation.invokeNext();

    }

    public Object injectTestAnnot03( MethodInvocation invocation ) throws Throwable {
        logger.info( "[injectTestAnnot03 --> " + invocation.getMethod().getName() + "]" );
        return invocation.invokeNext();

    }

    public Object injectTest11( MethodInvocation invocation ) throws Throwable {
        logger.info( "[injectTest11 --> " + invocation.getMethod().getName() + "]" );
        return invocation.invokeNext();

    }

    public Object injectCommonTest11( MethodInvocation invocation ) throws Throwable {
        logger.info( "[injectCommonTest11 --> " + invocation.getMethod().getName() + "]" );
        return invocation.invokeNext();

    }

    public Object injectTestSessionBean( MethodInvocation invocation ) throws Throwable {
        logger.info( "[injectTestSessionBean --> " + invocation.getMethod().getName() + "]" );
        return invocation.invokeNext();

    }

    public Object injectITestSessionLocal( MethodInvocation invocation ) throws Throwable {
        logger.info( "[injectITestSessionLocal --> " + invocation.getMethod().getName() + "]" );
        return invocation.invokeNext();

    }
}
