/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package mstrauch.test.aop;

import javax.ejb.EJB;
import mstrauch.test.aop.common.CommonTest;
import org.apache.log4j.Logger;
import org.jboss.annotation.ejb.Management;
import org.jboss.annotation.ejb.Service;


/**
 * <b>TestMBean</b><br /><br />
 *
 *
 *
 * <p><i>Copyright (c) Marabu EDV GmbH</i></p>
 *
 * @author      Marco Strauch (mst)
 * @created     01.11.2010
 * @version     6.0.0
 * @since       6.0.0
 */
@Service(objectName="mst.test.aop:service=TestMBean")
@Management(ITestMBean.class)
public class TestMBeanJB43 implements ITestMBean {
    private static final Logger logger = Logger.getLogger( TestMBeanJB43.class );

    @EJB
    private ITestSessionLocal testSession;

    public TestMBeanJB43() {
    }

    public void test() {
        new TestClass().testAnnot01( "Called Test 01" );
        new TestClass().testAnnot02( "Called Test 02" );
        new TestClass().testAnnot03( "Called Test 03" );
        new TestClass().test11( "Called Test 11" );

        new CommonTest().testCommon();

        testSession.test01();
    }
}
