/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package mstrauch.test.aop;

import javax.annotation.PostConstruct;
import javax.ejb.Local;
import javax.ejb.Stateless;
import org.apache.log4j.Logger;


/**
 * <b>TestSessionBean</b><br /><br />
 *
 *
 *
 * <p><i>Copyright (c) Marabu EDV GmbH</i></p>
 *
 * @author      Marco Strauch (mst)
 * @created     23.11.2010
 * @version     6.0.0
 * @since       6.0.0
 */
@Stateless
@Local(ITestSessionLocal.class)
public class TestSessionBean implements ITestSessionLocal {
    private static final Logger logger = Logger.getLogger( TestSessionBean.class );

    public TestSessionBean() {
    }

    @PostConstruct
    public void ejbPostContruct()  {
        logger.info( "[ejbPostContruct]" );
    }

    public void test01() {
        logger.info("[test01]");
    }
}
